net.sf.jasperreports.charts.util

## Class DrawChartRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractRenderer
  - - net.sf.jasperreports.engine.JRAbstractSvgRenderer
    - - net.sf.jasperreports.charts.util.DrawChartRenderer

- All Implemented Interfaces:
    java.io.Serializable, ImageMapRenderable, JRImageMapRenderer, JRRenderable, Renderable

      public class DrawChartRenderer
      extends JRAbstractSvgRenderer
      implements ImageMapRenderable

  Version:
    $Id: DrawChartRenderer.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.Renderable

      `PROPERTY_IMAGE_DPI`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawChartRenderer(org.jfree.chart.JFreeChart chart, ChartHyperlinkProvider chartHyperlinkProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<JRPrintImageAreaHyperlink>` | `getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)` Returns the list of `image map areas`.
    `boolean` | `hasImageAreaHyperlinks()` Indicates whether the renderer actually includes any image map areas.
    `void` | `render(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Deprecated. Replaced by `render(JasperReportsContext, Graphics2D, Rectangle2D)`.
    `void` | `render(JasperReportsContext jasperReportsContext, java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)`
    `java.util.List<JRPrintImageAreaHyperlink>` | `renderWithHyperlinks(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Deprecated. To be removed.

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractSvgRenderer

      `createGraphics, getBackcolor, getDimension, getDimension, getImageData, getImageData, getImageDataDPI, getImageType, getImageTypeValue, getType, getTypeValue`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractRenderer

      `getId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.Renderable

      `getDimension, getId, getImageData, getImageTypeValue, getTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRRenderable

      `getDimension, getImageData, getImageType, getType`

- - ### Constructor Detail

    - #### DrawChartRenderer

          public DrawChartRenderer(org.jfree.chart.JFreeChart chart,
                           ChartHyperlinkProvider chartHyperlinkProvider)

  - ### Method Detail

    - #### render

          public void render(JasperReportsContext jasperReportsContext,
                    java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)

      Specified by:
        `render` in interface `Renderable`
      Overrides:
        `render` in class `JRAbstractRenderer`

    - #### render

          public void render(java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)

      Deprecated. Replaced by `render(JasperReportsContext, Graphics2D, Rectangle2D)`.
      Specified by:
        `render` in interface `JRRenderable`

    - #### renderWithHyperlinks

          public java.util.List<JRPrintImageAreaHyperlink> renderWithHyperlinks(java.awt.Graphics2D grx,
                                                                       java.awt.geom.Rectangle2D rectangle)

      Deprecated. To be removed.
      Description copied from interface: `JRImageMapRenderer`
      Returns the list of `image map areas`.
      Specified by:
        `renderWithHyperlinks` in interface `JRImageMapRenderer`
        `rectangle` - the area on which the image would be rendered
      Returns:
        a list of `JRPrintImageAreaHyperlink` instances.

    - #### getImageAreaHyperlinks

          public java.util.List<JRPrintImageAreaHyperlink> getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)
                                                                           throws JRException

      Description copied from interface: `ImageMapRenderable`
      Returns the list of `image map areas`.
      Specified by:
        `getImageAreaHyperlinks` in interface `ImageMapRenderable`
      Specified by:
        `getImageAreaHyperlinks` in interface `JRImageMapRenderer`
      Parameters:
        `renderingArea` - the area on which the image would be rendered
      Returns:
        a list of `JRPrintImageAreaHyperlink` instances.
      Throws:
        `JRException`

    - #### hasImageAreaHyperlinks

          public boolean hasImageAreaHyperlinks()

      Description copied from interface: `ImageMapRenderable`
      Indicates whether the renderer actually includes any image map areas.
      Specified by:
        `hasImageAreaHyperlinks` in interface `ImageMapRenderable`
      Specified by:
        `hasImageAreaHyperlinks` in interface `JRImageMapRenderer`
      Returns:
        whether the renderer actually includes any image map areas

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com